## akregator 25.11.80

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.80")
project(akregator VERSION ${PIM_VERSION})

# Update it for each release
set(AKREGATOR_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd

set(KF_MIN_VERSION "6.18.0")
set(RELEASE_SERVICE_VERSION "25.11.80")
set(QT_REQUIRED_VERSION "6.8.0")

# Use true if stable version => we will check specific version
set(AKREGATOR_STABLE_VERSION true)

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(KTEXTADDONS_MIN_VERSION "1.8.0")
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
# Do NOT add quote
set(KDEPIM_DEV_VERSION beta)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
set(LIBKDEPIM_LIB_VERSION "6.5.80")
set(MESSAGELIB_LIB_VERSION "6.5.80")
set(PIMCOMMON_LIB_VERSION "6.5.80")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        WebEngineWidgets
        PrintSupport
)
# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Syndication ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
    if(${KF6TextEditTextToSpeech_VERSION} VERSION_GREATER_EQUAL 1.8.55)
        set(HAVE_TEXTTOSPEECH_ENQUEUE_SUPPORT TRUE)
    endif()
endif()
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
# Fix plugin support for removing theses dependencies
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional). It can be disable in apps."
)

include_directories(
    ${akregator_SOURCE_DIR}
    ${akregator_BINARY_DIR}
)
add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.20.0
)

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
endif()

if(TARGET KF6::UserFeedbackWidgets)
    set(AKREGATOR_WITH_KUSERFEEDBACK true)
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(config-akregator.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-akregator.h)

add_subdirectory(export)
add_subdirectory(interfaces)
add_subdirectory(configuration)
add_subdirectory(src)
add_subdirectory(kontactplugin)

ecm_qt_install_logging_categories(
        EXPORT AKREGATOR
        FILE akregator.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
configure_file(akregator-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/akregator-version.h @ONLY)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/command/
    ${CMAKE_CURRENT_SOURCE_DIR}/formatter/
    ${CMAKE_CURRENT_SOURCE_DIR}/subscription/
    ${CMAKE_CURRENT_SOURCE_DIR}/feed/
    ${CMAKE_CURRENT_SOURCE_DIR}/urlhandler/
    ${CMAKE_CURRENT_SOURCE_DIR}/actions/
    ${CMAKE_CURRENT_SOURCE_DIR}/frame/
)

add_subdirectory(icons)

########### next target ###############

set(akregator_common_SRCS)
ecm_qt_declare_logging_category(akregator_common_SRCS HEADER akregator_debug.h IDENTIFIER AKREGATOR_LOG CATEGORY_NAME org.kde.pim.akregator
        DESCRIPTION "akregator (akregator)"
        OLD_CATEGORY_NAMES log_akregator
        EXPORT AKREGATOR
)

if(TARGET Plasma::Activities)
    ecm_qt_declare_logging_category(akregator_common_SRCS HEADER akregator_plasma_activities_debug.h IDENTIFIER AKREGATOR_PLASMA_ACTIVITIES_LOG CATEGORY_NAME org.kde.pim.akregator.plasma.activities
        DESCRIPTION "akregator plasma activities(akregator)"
        EXPORT AKREGATOR
    )
endif()

set(akregator_SRCS
    main.cpp
    mainwindow.cpp
    mainwindow.h
    systemsignalhandlers.cpp
    systemsignalhandlers.h
    ${akregator_common_SRCS}
)

file(GLOB ICONS_AKREGATOR_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-akregator.png")
ecm_add_app_icon(akregator_SRCS ICONS ${ICONS_AKREGATOR_SRCS})

add_executable(akregator ${akregator_SRCS})

target_link_libraries(
    akregator
    KF6::I18n
    KF6::Crash
    KF6::Notifications
    KF6::StatusNotifierItem
    KPim6::KontactInterface
    KPim6::Libkdepim
    akregatorprivate
    akregatorinterfaces
    KPim6::PimCommon
    KF6::Syndication
)
if(TARGET KF6::IconThemes)
    target_link_libraries(akregator KF6::IconThemes)
endif()
install(
    TARGETS
        akregator
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

########### next target ###############

add_library(akregatorprivate)

target_sources(
    akregatorprivate
    PRIVATE
        ${akregator_common_SRCS}
        articleviewer-ng/webengine/articleviewerwebengine.cpp
        articleviewer-ng/webengine/articleviewerwebenginepage.cpp
        articleviewer-ng/webengine/articlehtmlwebenginewriter.cpp
        articleviewer-ng/webengine/articleviewerwebenginewidgetng.cpp
        job/downloadarticlejob.cpp
        job/downloadfeediconjob.cpp
        widgets/statussearchbuttons.h
        widgets/statussearchbuttons.cpp
        formatter/articleformatter.cpp
        formatter/defaultnormalviewformatter.cpp
        formatter/defaultcombinedviewformatter.cpp
        formatter/grantleeviewformatter.cpp
        formatter/articlegrantleeobject.cpp
        formatter/grantleeutil.cpp
        frame/webengine/webengineframe.cpp
        frame/webengine/akrwebengineviewer.cpp
        frame/frame.cpp
        frame/mainframe.cpp
        frame/framemanager.cpp
        urlhandler/webengine/urlhandlerwebengine.cpp
        urlhandler/webengine/urlhandlerwebenginemanager.cpp
        articleviewerwidget.cpp
        aboutdata.cpp
        trayicon.cpp
        unityservicemanager.cpp
        article.cpp
        feed/feed.cpp
        feed/feedlist.cpp
        feed/feedretriever.cpp
        treenode.cpp
        treenodevisitor.cpp
        utils.cpp
        notificationmanager.cpp
        articlejobs.cpp
        folder.cpp
        kernel.cpp
        subscription/subscriptionlistjobs.cpp
        fetchqueue.cpp
        openurlrequest.cpp
        actions/actionmanager.cpp
        actions/actions.cpp
        akregator.qrc
        articleviewer-ng/webengine/articleviewerwebengine.h
        articleviewer-ng/webengine/articleviewerwebenginepage.h
        articleviewer-ng/webengine/articlehtmlwebenginewriter.h
        articleviewer-ng/webengine/articleviewerwebenginewidgetng.h
        job/downloadarticlejob.h
        job/downloadfeediconjob.h
        formatter/articleformatter.h
        formatter/defaultnormalviewformatter.h
        formatter/defaultcombinedviewformatter.h
        formatter/grantleeviewformatter.h
        formatter/articlegrantleeobject.h
        formatter/grantleeutil.h
        frame/webengine/webengineframe.h
        frame/webengine/akrwebengineviewer.h
        frame/frame.h
        frame/mainframe.h
        frame/framemanager.h
        storage/metakit/src/column.cpp
        storage/metakit/src/custom.cpp
        storage/metakit/src/derived.cpp
        storage/metakit/src/field.cpp
        storage/metakit/src/fileio.cpp
        storage/metakit/src/format.cpp
        storage/metakit/src/handler.cpp
        storage/metakit/src/persist.cpp
        storage/metakit/src/remap.cpp
        storage/metakit/src/std.cpp
        storage/metakit/src/store.cpp
        storage/metakit/src/string.cpp
        storage/metakit/src/table.cpp
        storage/metakit/src/univ.cpp
        storage/metakit/src/view.cpp
        storage/metakit/src/viewx.cpp
        storage/feedstorage.cpp
        storage/storage.cpp
        urlhandler/webengine/urlhandlerwebengine.h
        urlhandler/webengine/urlhandlerwebenginemanager.h
        articleviewerwidget.h
        aboutdata.h
        trayicon.h
        unityservicemanager.h
        feed/feed.h
        feed/feedlist.h
        feed/feedretriever.h
        treenode.h
        treenodevisitor.h
        utils.h
        notificationmanager.h
        articlejobs.h
        folder.h
        kernel.h
        subscription/subscriptionlistjobs.h
        fetchqueue.h
        openurlrequest.h
        actions/actionmanager.h
        actions/actions.h
        akregator_options.h
)

if(HAVE_ACTIVITY_SUPPORT)
    target_sources(
        akregatorprivate
        PRIVATE
            activities/activitiesmanager.cpp
            activities/activitiesmanager.h
    )
endif()

target_include_directories(akregatorprivate PRIVATE storage/metakit/include)

qt_add_resources(akregatorprivate "html"
    FILES
        formatter/html/combinedview.html
        formatter/html/defaultnormalvisitfeed.html
        formatter/html/defaultnormalvisitfolder.html
        formatter/html/normalview.html
        formatter/html/style.css
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        akregatorprivate
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(akregatorprivate BASE_NAME akregator)

if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(akregatorprivate PRIVATE KF6::UserFeedbackWidgets)
endif()

target_link_libraries(
    akregatorprivate
    PRIVATE
        KF6::I18n
        KF6::Parts
        KF6::Notifications
        KPim6::Libkdepim
        KF6::Syndication
        KF6::Codecs
        KF6::JobWidgets
        KF6::KIOWidgets
        KF6::StatusNotifierItem
        akregatorinterfaces
        KPim6::PimCommon
        KPim6::GrantleeTheme
        KF6::KIOGui
        KPim6::MessageViewer
        Qt::PrintSupport
        KPim6::WebEngineViewer
        KF6::TextAddonsWidgets
)
if(TARGET KF6::TextEditTextToSpeech)
    target_link_libraries(akregatorprivate PRIVATE KF6::TextEditTextToSpeech)
endif()

if(TARGET KPim6::PimCommonActivities AND HAVE_ACTIVITY_SUPPORT)
    target_link_libraries(akregatorprivate PUBLIC KPim6::PimCommonActivities)
endif()
target_include_directories(
    akregatorprivate
    PUBLIC
        "$<BUILD_INTERFACE:${akregator_SOURCE_DIR}/src;${akregator_BINARY_DIR}/src>"
)

set_target_properties(
    akregatorprivate
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)
install(
    TARGETS
        akregatorprivate
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

########### next target ###############
add_library(akregatorpart MODULE)
set(akregator_adaptator_SRCS)
qt_add_dbus_adaptor(akregator_adaptator_SRCS org.kde.akregator.part.xml akregator_part.h Akregator::Part)

target_sources(
    akregatorpart
    PRIVATE
        ${akregator_common_SRCS}
        ${akregator_adaptator_SRCS}
        crashwidget/crashwidget.cpp
        utils/filtercolumnsproxymodel.cpp
        command/deletesubscriptioncommand.cpp
        command/createfeedcommand.cpp
        command/createfoldercommand.cpp
        command/expireitemscommand.cpp
        command/loadfeedlistcommand.cpp
        command/editsubscriptioncommand.cpp
        command/importfeedlistcommand.cpp
        widgets/statussearchline.cpp
        widgets/searchbar.cpp
        widgets/akregatorcentralwidget.cpp
        subscription/subscriptionlistview.cpp
        subscription/subscriptionlistdelegate.cpp
        subscription/subscriptionlistmodel.cpp
        abstractselectioncontroller.cpp
        articlematcher.cpp
        articlemodel.cpp
        selectioncontroller.cpp
        articlelistview.cpp
        actions/actionmanagerimpl.cpp
        addfeeddialog.cpp
        feed/feedpropertiesdialog.cpp
        tabwidget.cpp
        progressmanager.cpp
        akregator_part.cpp
        mainwidget.cpp
        crashwidget/crashwidget.h
        utils/filtercolumnsproxymodel.h
        command/deletesubscriptioncommand.h
        command/createfeedcommand.h
        command/createfoldercommand.h
        command/expireitemscommand.h
        command/loadfeedlistcommand.h
        command/editsubscriptioncommand.h
        command/importfeedlistcommand.h
        widgets/statussearchline.h
        widgets/searchbar.h
        widgets/akregatorcentralwidget.h
        subscription/subscriptionlistview.h
        subscription/subscriptionlistdelegate.h
        subscription/subscriptionlistmodel.h
        abstractselectioncontroller.h
        articlematcher.h
        articlemodel.h
        selectioncontroller.h
        articlelistview.h
        actions/actionmanagerimpl.h
        addfeeddialog.h
        feed/feedpropertiesdialog.h
        tabwidget.h
        progressmanager.h
        akregator_part.h
        mainwidget.h
        whatsnew/whatsnewtranslations.cpp
        whatsnew/whatsnewtranslations.h
)

ki18n_wrap_ui(akregatorpart
    ui/addfeedwidgetbase.ui
    ui/feedpropertieswidgetbase.ui
)

generate_export_header(akregatorpart BASE_NAME akregatorpart)
target_link_libraries(
    akregatorpart
    akregatorinterfaces
    akregatorprivate
    KF6::I18n
    KF6::KCMUtils
    KF6::NotifyConfig
    KF6::StatusNotifierItem
    KPim6::Libkdepim
    KF6::Syndication
    KPim6::PimCommon
    KPim6::GrantleeTheme
    KPim6::MessageViewer
    KF6::Parts
    KF6::Notifications
    Qt::WebEngineWidgets
    KPim6::WebEngineViewer
    KF6::KIOGui
    KF6::Completion
    KF6::JobWidgets
    KF6::TextUtils
    KF6::TextAddonsWidgets
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        akregatorpart
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

install(TARGETS akregatorpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install(PROGRAMS data/org.kde.akregator.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/org.kde.akregator.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.akregator.part.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES data/akregator.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

if(BUILD_TESTING)
    add_subdirectory(job/autotests)
    add_subdirectory(widgets/autotests)
endif()

=== debian/changelog ===
akregator (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:51:57 +0000

akregator (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:19:44 +0000

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libgrantleetheme-dev (>= 25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6syndication-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.11.80~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.11.80~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.11.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/akregator
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
Rules-Requires-Root: no

Package: akregator
Section: web
Architecture: amd64 arm64 armhf i386
Depends: libgrantleetheme-plugins, ${misc:Depends}, ${shlibs:Depends},
Suggests: apparmor
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 25.11.90

=== debian/changelog ===
akregator (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:24 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libgrantleetheme-dev (>= 25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.11.80~),
+               libkontactinterface-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libpimcommon-dev (>= 4:25.11.90~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.11.80~),
+               messagelib-dev (>= 4:25.11.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## akregator 25.12.0

=== debian/changelog ===
akregator (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:05 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.11.90~),
+               libkontactinterface-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.12.0~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.11.90~),
+               messagelib-dev (>= 4:25.12.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## akregator 25.12.0+p24.04+vstable+git20251209.0318

=== debian/changelog ===
akregator (4:25.12.0+p24.04+vstable+git20251209.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:18:31 +0000

akregator (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:14 +1000

akregator (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:41:01 +1000

## akregator 25.12.0+p24.04+vstable+git20251224.0844

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.1")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(AKREGATOR_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.18.0")
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 # Use true if stable version => we will check specific version
@@ -57,7 +57,7 @@
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -68,11 +68,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(MESSAGELIB_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(MESSAGELIB_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
 
 find_package(
     Qt6

## akregator 25.12.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
akregator (4:25.12.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:38 +0000

## akregator 25.12.0+p24.04+vstable+git20260105.1007

=== debian/changelog ===
akregator (4:25.12.0+p24.04+vstable+git20260105.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:07:57 +0000

## akregator 25.12.0+p24.04+vunstable+git20251209.0509

=== debian/changelog ===
akregator (4:25.12.0+p24.04+vunstable+git20251209.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:10:00 +0000

## akregator 25.12.0+p24.04+vunstable+git20251211.0422

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+set(PIM_VERSION "6.6.40")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
-
-set(KF_MIN_VERSION "6.18.0")
-set(RELEASE_SERVICE_VERSION "25.12.1")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(AKREGATOR_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+
+set(KF_MIN_VERSION "6.20.0")
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 # Use true if stable version => we will check specific version
-set(AKREGATOR_STABLE_VERSION true)
+set(AKREGATOR_STABLE_VERSION false)
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -54,10 +54,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -68,11 +68,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
-set(LIBKDEPIM_LIB_VERSION "6.6.0")
-set(MESSAGELIB_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.41")
 
 find_package(
     Qt6
@@ -114,9 +114,6 @@
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)
     set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
-    if(${KF6TextEditTextToSpeech_VERSION} VERSION_GREATER_EQUAL 1.8.55)
-        set(HAVE_TEXTTOSPEECH_ENQUEUE_SUPPORT TRUE)
-    endif()
 endif()
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 
@@ -145,12 +142,8 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
-)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
+     KF 6.21.0
+)
 
 if(TARGET KF6::UserFeedbackWidgets)
     set(AKREGATOR_WITH_KUSERFEEDBACK true)
@@ -177,7 +170,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES

## akregator 25.12.0+p24.04+vunstable+git20260104.0329

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,9 +41,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -54,7 +78,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_MIN_VERSION "1.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION alpha)
@@ -141,7 +165,12 @@
 )
 add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0
      KF 6.21.0
 )

## akregator 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
-
-set(KF_MIN_VERSION "6.20.0")
-set(RELEASE_SERVICE_VERSION "26.03.40")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(AKREGATOR_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
+
+set(KF_MIN_VERSION "6.18.0")
+set(RELEASE_SERVICE_VERSION "25.12.1")
+set(QT_REQUIRED_VERSION "6.8.0")
 
 # Use true if stable version => we will check specific version
-set(AKREGATOR_STABLE_VERSION false)
+set(AKREGATOR_STABLE_VERSION true)
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -41,33 +41,9 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
-    if(PRE_COMMIT_EXECUTABLE)
-        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
-        execute_process(
-            COMMAND
-                "${PRE_COMMIT_EXECUTABLE}" install -f
-            ERROR_QUIET
-            RESULT_VARIABLE _precommitresult
-            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
-        )
-        if(_precommitresult EQUAL 0)
-            message(STATUS "Pre-commit installed.")
-        else()
-            message(
-                WARNING
-                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
-            )
-            include(KDEGitCommitHooks)
-            include(KDEClangFormat)
-            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-        endif()
-    else()
-        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
-        include(KDEGitCommitHooks)
-        include(KDEClangFormat)
-        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
-    endif()
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 endif()
 include(CheckFunctionExists)
 
@@ -78,10 +54,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.9.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION alpha)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -92,11 +68,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(MESSAGELIB_LIB_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.41")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
+set(LIBKDEPIM_LIB_VERSION "6.6.1")
+set(MESSAGELIB_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
 
 find_package(
     Qt6
@@ -138,6 +114,9 @@
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)
     set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
+    if(${KF6TextEditTextToSpeech_VERSION} VERSION_GREATER_EQUAL 1.8.55)
+        set(HAVE_TEXTTOSPEECH_ENQUEUE_SUPPORT TRUE)
+    endif()
 endif()
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 
@@ -165,14 +144,13 @@
 )
 add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0
-     KF 6.21.0
-)
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+     KF 6.20.0
+)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
 
 if(TARGET KF6::UserFeedbackWidgets)
     set(AKREGATOR_WITH_KUSERFEEDBACK true)
@@ -199,7 +177,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.4.0")
+            find_package(PlasmaActivities "6.3.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES

=== debian/changelog ===
akregator (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:03 +0100

akregator (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:49:36 +0100

akregator (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:23 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libgrantleetheme-dev (>= 25.12.1~),
               libkdepim-dev (>= 4:25.12.1~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6syndication-dev (>= 6.18.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkontactinterface-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               libpimcommon-dev (>= 4:25.12.1~),
               libplasmaactivities-dev (>= 6.3.0~),
               messagelib-dev (>= 4:25.12.1~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/akregator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git
Rules-Requires-Root: no

Package: akregator
Section: web
Architecture: amd64 arm64 armhf i386
Depends: libgrantleetheme-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 25.12.1+p24.04+vstable+git20260107.0324

=== debian/changelog ===
akregator (4:25.12.1+p24.04+vstable+git20260107.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:24:16 +0000

akregator (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:27:22 +1000

## akregator 25.12.1+p24.04+vstable+git20260128.0446

=== debian/changelog ===
akregator (4:25.12.1+p24.04+vstable+git20260128.0446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:46:41 +0000

## akregator 25.12.1+p24.04+vstable+git20260131.0350

=== debian/changelog ===
akregator (4:25.12.1+p24.04+vstable+git20260131.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:50:39 +0000

## akregator 25.12.1+p24.04+vunstable+git20260204.0118

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
-
-set(KF_MIN_VERSION "6.18.0")
-set(RELEASE_SERVICE_VERSION "25.12.1")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(AKREGATOR_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+
+set(KF_MIN_VERSION "6.21.0")
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 # Use true if stable version => we will check specific version
-set(AKREGATOR_STABLE_VERSION true)
+set(AKREGATOR_STABLE_VERSION false)
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -41,9 +41,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(CheckFunctionExists)
 
@@ -54,10 +78,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.9.1")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -68,11 +92,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
-set(LIBKDEPIM_LIB_VERSION "6.6.1")
-set(MESSAGELIB_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(MESSAGELIB_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.41")
 
 find_package(
     Qt6
@@ -114,9 +138,6 @@
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
 if(TARGET KF6::TextEditTextToSpeech)
     set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
-    if(${KF6TextEditTextToSpeech_VERSION} VERSION_GREATER_EQUAL 1.8.55)
-        set(HAVE_TEXTTOSPEECH_ENQUEUE_SUPPORT TRUE)
-    endif()
 endif()
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 
@@ -144,13 +165,14 @@
 )
 add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.20.0
-)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0
+     KF 6.22.0
+)
 
 if(TARGET KF6::UserFeedbackWidgets)
     set(AKREGATOR_WITH_KUSERFEEDBACK true)
@@ -177,7 +199,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES

=== debian/changelog ===
akregator (4:25.12.1+p24.04+vunstable+git20260204.0118-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:18:53 +0000
